Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms.inflow.dlq
Class GenericDLQHandler

    java.lang.Object
      org.jboss.resource.adapter.jms.inflow.dlq.AbstractDLQHandler
          org.jboss.resource.adapter.jms.inflow.dlq.JBossMQDLQHandler
              org.jboss.resource.adapter.jms.inflow.dlq.GenericDLQHandler

All Implemented Interfaces:
  DLQHandler, javax.jms.ExceptionListener

public class GenericDLQHandler
extends JBossMQDLQHandler

A Generic DLQ Handler

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Nested Class Summary
`protected static class` | `GenericDLQHandler.ResentInfo` Resent Info

Field Summary
`protected HashMap` | `resent` Resent messages Map

Fields inherited from class org.jboss.resource.adapter.jms.inflow.dlq.JBossMQDLQHandler
`JMS_JBOSS_REDELIVERY_COUNT, JMS_JBOSS_REDELIVERY_LIMIT, maxResent`

Fields inherited from class org.jboss.resource.adapter.jms.inflow.dlq.AbstractDLQHandler
`activation, connection, dlq, log`

Fields inherited from interface org.jboss.resource.adapter.jms.inflow.DLQHandler
`JBOSS_ORIG_DESTINATION, JBOSS_ORIG_MESSAGEID`

Constructor Summary
`GenericDLQHandler()`

Method Summary
`protected void` | `clearResentCounter(String id)` Remove the resent counter for the message id
`protected boolean` | `handleDelivery(javax.jms.Message msg)` Do we handle the message?
`protected int` | `incrementResentCounter(String id)` Increment the resent counter for the message id
`void` | `messageDelivered(javax.jms.Message msg)` Notification that the message was delivered

Methods inherited from class org.jboss.resource.adapter.jms.inflow.dlq.JBossMQDLQHandler
`setup`

Methods inherited from class org.jboss.resource.adapter.jms.inflow.dlq.AbstractDLQHandler
`doSend, getDeliveryMode, getPriority, getTimeToLive, handleRedeliveredMessage, handleSendError, makeWritable, onException, sendToDLQ, setupDLQConnection, setupDLQDestination, teardown, teardownDLQConnection, teardownDLQDestination, warnDLQ`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resent

    protected HashMap resent

  Resent messages Map

Constructor Detail

### GenericDLQHandler

    public GenericDLQHandler()

Method Detail

### messageDelivered

    public void messageDelivered(javax.jms.Message msg)

  Description copied from interface: `DLQHandler`
  Notification that the message was delivered

  Specified by:
    `messageDelivered` in interface `DLQHandler`
  Overrides:
    `messageDelivered` in class `AbstractDLQHandler`

### handleDelivery

    protected boolean handleDelivery(javax.jms.Message msg)

  Description copied from class: `AbstractDLQHandler`
  Do we handle the message?

  Overrides:
    `handleDelivery` in class `JBossMQDLQHandler`

### incrementResentCounter

    protected int incrementResentCounter(String id)

  Increment the resent counter for the message id

  Parameters:
    `id` - the message id of the message

### clearResentCounter

    protected void clearResentCounter(String id)

  Remove the resent counter for the message id

  Parameters:
    `id` - the message id of the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.